Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 13, 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2755
Location: Gainesville, Florida

PostPosted: Thu Sep 23, 2010 11:40 pm    Post subject: Reply with quote

I was getting ready to unmask the portage 4.7.0's, and rebuild my kde-live overlay installs against those. Are the portage ebuilds ones moved over from this qt overlay? Seeing these problems posted here, now I'm wondering about that idea. :(

OK- went ahead and unmasked portage 4.7.0's, and got as far as gui (7 0f 14) before a failure. Here's the complete log, at pastebin: http://pastebin.com/KHJnWeqF

Any ideas on this one? Seemed to be going great on 1-6. Maybe adjust some USE flags in /etc/portage, or missing deps? Here's the specific errors:
Code:
 Lines 61-77:
db2.cpp:42:20: fatal error: sqlcli.h: No such file or directory
compilation terminated.
gmake: *** [db2.o] Error 1
DB2 disabled.
OCI auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -pipe -Wall -W  -I../../../mkspecs/linux-g++ -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -o oci.o oci.cpp
oci.cpp:42:17: fatal error: oci.h: No such file or directory
compilation terminated.
gmake: *** [oci.o] Error 1
OCI disabled.
unknown SQL driver: sqlite_symbian
TDS auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -pipe -Wall -W  -I../../../mkspecs/linux-g++ -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -o tds.o tds.cpp
tds.cpp:42:22: fatal error: sybfront.h: No such file or directory
compilation terminated.
gmake: *** [tds.o] Error 1
TDS disabled.


AND lines 98-107:
icd.cpp:42:37: fatal error: libicd-network-wlan-dev.h: No such file or directory
compilation terminated.
gmake: *** [icd.o] Error 1
ICD disabled.
PulseAudio auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -pipe -Wall -W  -I../../../mkspecs/linux-g++ -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -o pulseaudio.o pulseaudio.cpp
pulseaudio.cpp:42:30: fatal error: pulse/pulseaudio.h: No such file or directory
compilation terminated.
gmake: *** [pulseaudio.o] Error 1
PulseAudio disabled.

Then bails out at Lines 358-369:
../../include/QtGui/private/../../../src/gui/painting/qpaintengineex_p.h:200:44: error: 'PixmapFragment' in class 'QPainter' does not name a type
../../include/QtGui/private/../../../src/gui/painting/qpaintengineex_p.h:200:70: error: ISO C++ forbids declaration of 'fragments' with no type
../../include/QtGui/private/../../../src/gui/painting/qpaintengineex_p.h:201:45: error: 'PixmapFragmentHint' is not a member of 'QPainter'
../../include/QtGui/private/../../../src/gui/painting/qpaintengineex_p.h:201:45: error: 'PixmapFragmentHint' is not a member of 'QPainter'
../../include/QtGui/private/../../../src/gui/painting/qpaintengineex_p.h:201:73: error: template argument 1 is invalid
make: *** [.obj/release-shared/qdrawhelper_mmx3dnow.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [.obj/release-shared/qdrawhelper_mmx.o] Error 1
make: *** [.obj/release-shared/qdrawhelper_sse3dnow.o] Error 1
emake failed
 * ERROR: x11-libs/qt-gui-4.7.0 failed:
 *   emake failed

_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2755
Location: Gainesville, Florida

PostPosted: Fri Sep 24, 2010 5:15 am    Post subject: Reply with quote

Well, got the same error with 4.7.9999 from the overlay. qt-gui fails again, looks like it might boil down to this?
Code:
 XKB enabled.
Gtk theme support cannot be enabled due to functionality tests!
 Turn on verbose messaging (-v) to ./configure to see the final report.
 If you believe this message is in error you may use the continue
 switch (-continue) to ./configure to continue.
 * ERROR: x11-libs/qt-gui-4.7.9999 failed:
 *   ./configure failed
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 4247:  Called qt4-build-edge_src_configure
 *   environment, line 3747:  Called qt4-build_src_configure
 *   environment, line 3863:  Called die
 * The specific snippet of code:
 *       ./configure ${myconf} || die "./configure failed";
 *
 * If you need support, post the output of 'emerge --info =x11-libs/qt-gui-4.7.9999',
 * the complete build log and the output of 'emerge -pqv =x11-libs/qt-gui-4.7.9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/qting-edge/eclass/qt4-build-edge.eclass
 * This ebuild is from an overlay named 'qting-edge': '/var/lib/layman/qting-edge/'
 * The complete build log is located at '/var/log/portage/x11-libs:qt-gui-4.7.9999:20100924-044141.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-gui-4.7.9999/temp/environment'.
 * S: '/var/tmp/portage/x11-libs/qt-gui-4.7.9999/work/qt-everywhere-opensource-src-4.7.9999'

>>> Failed to emerge x11-libs/qt-gui-4.7.9999, Log file:

>>>  '/var/log/portage/x11-libs:qt-gui-4.7.9999:20100924-044141.log'
I guess I need to try adding the "-continue" switch and try "FEATURES="keeptemp" emerge qt-gui if i can figure out where to edit it in? :? Or does this refer to editing the ebuild at:
Code:
src_configure() {
   export PATH="${S}/bin:${PATH}"
   export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"

   myconf="$(qt_use accessibility)
      $(qt_use cups)
      $(qt_use egl)
      $(qt_use glib)
      $(qt_use mng libmng system)
      $(qt_use nis)
      $(qt_use tiff libtiff system)
      $(qt_use dbus qdbus)
      $(qt_use dbus)
      $(qt_use qt3support)
      $(qt_use gtk gtkstyle)
      $(qt_use xinerama)"

   use nas   && myconf="${myconf} -system-nas-sound"
   use raster && myconf="${myconf} -graphicssystem raster"

   myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
      -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2
      -no-sql-odbc -xrender -xrandr -xkb -xshape -sm -no-svg -no-webkit
      -no-phonon -no-opengl"

_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Fri Sep 24, 2010 5:54 am    Post subject: --- Reply with quote

My problem with qt-gui have been resolved after recompiling cairo (1.10) with "-qt4" support.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2755
Location: Gainesville, Florida

PostPosted: Fri Sep 24, 2010 7:03 am    Post subject: Reply with quote

This is weird. It somehow looks like I almost know what I'm doing here. 8O
My qt-gui-4.7.9999 and 4.70 problems were solved by adding the -continue switch in the ebuild section
Code:
myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
      -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2
      -no-sql-odbc -xrender -xrandr -xkb -xshape -sm -no-svg -no-webkit
      -no-phonon -no-opengl -continue"
and re-digesting. The switch showed up in the gcc output, and qt-gui-4.7.9999 and the remaining qt 4.7.9999 packages compiled OK. :D I'll rebuild all of kde-live 9999 tomorrow.

Learned a lot from this one, even though I really don't know the implications of those GTK theme functionality tests, or apparent lack of GTK theme support. :) I do feel pretty good about finishing up qt-4.7.9999.

EDIT: Finished up my kde-live packages (admittedly only about 135, so I generally don't run into the problems others with more packages have) Only probelm was marble- compiled to 99%, then got this:
Code:
 Linking CXX shared module ../../../lib/plasma_applet_worldclock.so
[ 99%] Built target plasma_applet_worldclock
Scanning dependencies of target python_module_PyKDE4_marble
[ 99%] [ 99%] [ 99%] Building CXX object marble/src/bindings/python/CMakeFiles/python_module_PyKDE4_marble.dir/sip/sipmarblepart0.o
Building CXX object marble/src/bindings/python/CMakeFiles/python_module_PyKDE4_marble.dir/sip/sipmarblepart2.o
Building CXX object marble/src/bindings/python/CMakeFiles/python_module_PyKDE4_marble.dir/sip/sipmarblepart1.o
In file included from /usr/include/python2.6/Python.h:8:0,
                 from /usr/include/python2.6/sip.h:32,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipAPImarble.h:11,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipmarblepart0.cpp:7:
/usr/include/python2.6/pyconfig.h:1079:0: warning: "_XOPEN_SOURCE" redefined
<command-line>:0:0: note: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8:0,
                 from /usr/include/python2.6/sip.h:32,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipAPImarble.h:11,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipmarblepart2.cpp:7:
/usr/include/python2.6/pyconfig.h:1079:0: warning: "_XOPEN_SOURCE" redefined
<command-line>:0:0: note: this is the location of the previous definition
In file included from /usr/include/python2.6/Python.h:8:0,
                 from /usr/include/python2.6/sip.h:32,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipAPImarble.h:11,
                 from /var/tmp/portage/kde-base/marble-9999/work/marble-9999_build/marble/src/bindings/python/sip/sipmarblepart1.cpp:7:
/usr/include/python2.6/pyconfig.h:1079:0: warning: "_XOPEN_SOURCE" redefined
<command-line>:0:0: note: this is the location of the previous definition
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_northPoleY(PyObject*, PyObject*)':
sipmarblepart2.cpp:14363:41: warning: 'int Marble::MarbleWidget::northPoleY()' is deprecated (declared at /var/tmp/portage/kde-base/marble-9999/work/marble-9999/marble/src/lib/MarbleWidget.h:273)
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_setProxy(PyObject*, PyObject*)':
sipmarblepart2.cpp:15301:21: error: 'class Marble::MarbleWidget' has no member named 'setProxy'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_proxyHost(PyObject*, PyObject*)':
sipmarblepart2.cpp:15332:42: error: 'class Marble::MarbleWidget' has no member named 'proxyHost'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_proxyPort(PyObject*, PyObject*)':
sipmarblepart2.cpp:15359:30: error: 'class Marble::MarbleWidget' has no member named 'proxyPort'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_user(PyObject*, PyObject*)':
sipmarblepart2.cpp:15386:42: error: 'class Marble::MarbleWidget' has no member named 'user'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_password(PyObject*, PyObject*)':
sipmarblepart2.cpp:15413:42: error: 'class Marble::MarbleWidget' has no member named 'password'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_changeCurrentPosition(PyObject*, PyObject*)':
sipmarblepart2.cpp:16914:21: error: 'class Marble::MarbleWidget' has no member named 'changeCurrentPosition'
sipmarblepart2.cpp: In function 'PyObject* meth_Marble_MarbleWidget_updateGps(PyObject*, PyObject*)':
sipmarblepart2.cpp:16968:21: error: 'class Marble::MarbleWidget' has no member named 'updateGps'
make[2]: *** [marble/src/bindings/python/CMakeFiles/python_module_PyKDE4_marble.dir/sip/sipmarblepart2.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [marble/src/bindings/python/CMakeFiles/python_module_PyKDE4_marble.dir/all] Error 2
make: *** [all] Error 2
emake failed
 * ERROR: kde-base/marble-9999 failed:
 *   Make failed!
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6425:  Called kde4-meta_src_compile
 *   environment, line 3965:  Called kde4-base_src_compile
 *   environment, line 3613:  Called cmake-utils_src_compile
 *   environment, line 1792:  Called _execute_optionaly 'src_compile'
 *   environment, line  682:  Called enable_cmake-utils_src_compile
 *   environment, line 2161:  Called cmake-utils_src_make
 *   environment, line 1811:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";

_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.15.5-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Satoshi
Apprentice
Apprentice


Joined: 06 Nov 2006
Posts: 180
Location: Brazil

PostPosted: Mon Oct 11, 2010 7:53 pm    Post subject: Reply with quote

Not sure this is the right place but I can't build antico-deluxe due to (probably) a buggy ebuild.

This is the emerge output:

http://pastebin.com/Y9ZcGWYQ

Excerpt:
Code:
 * Failed Patch: antico-deluxe.pro.patch !
 *  ( /usr/local/portage/layman/qting-edge/x11-wm/antico-deluxe/files/antico-deluxe.pro.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/x11-wm/antico-deluxe-9999/temp/antico-deluxe.pro.patch.out


Content of /var/tmp/portage/x11-wm/antico-deluxe-9999/temp/antico-deluxe.pro.patch.out
Back to top
View user's profile Send private message
glimt
n00b
n00b


Joined: 29 Sep 2003
Posts: 15
Location: Washington

PostPosted: Fri Feb 04, 2011 2:31 am    Post subject: Reply with quote

Anyone know if Qt 4.7 and qt-creator 2.0.1 are going to make it into portage (unmasked)? I was surprised to find such a mainstream component sitting on such an old version.
Back to top
View user's profile Send private message
Etal
Veteran
Veteran


Joined: 15 Jul 2005
Posts: 1640

PostPosted: Fri Feb 04, 2011 3:35 am    Post subject: Reply with quote

It's not masked, it just not marked stable. For it to be marked stable, I'm guessing these need to be fixed.
_________________
“And even in authoritarian countries, information networks are helping people discover new facts and making governments more accountable.”– Hillary Clinton, Jan. 21, 2010
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1339
Location: Bardowick, Germany

PostPosted: Fri Feb 11, 2011 12:29 pm    Post subject: Reply with quote

Etal wrote:
It's not masked, it just not marked stable. For it to be marked stable, I'm guessing these need to be fixed.
The quoted bug happened to me since Qt-4.6 whenever I forgot to deactivate "raster" in Qt-GUI. (reported upstream in Bug 256605)
_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Wed Mar 02, 2011 3:22 pm    Post subject: Reply with quote

Hey guys!

Maybe you have the answer:
Do I only habe to enable "raster" USE-Flag or do I have to start every application with "-graphicssystem raster" ?

I know that it MAY corrupt apps, but maybe I'm not using those apps ;) Just for testing and performance.


Thanks
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Aug 13, 2011 9:54 am    Post subject: Reply with quote

First post updated

4.8.0_beta1 and 4.8.9999 ebuilds added to the overlay. Also, qt-creator-2.3.0_rc is there as well :) Enjoy
Back to top
View user's profile Send private message
Zaister
n00b
n00b


Joined: 08 Apr 2004
Posts: 20
Location: Germany

PostPosted: Sat Aug 13, 2011 9:30 pm    Post subject: Reply with quote

Hwoarang wrote:
First post updated

4.8.0_beta1 and 4.8.9999 ebuilds added to the overlay. Also, qt-creator-2.3.0_rc is there as well :) Enjoy


I'm trying out the 4.8.0_beta1 ebuild, but I get missing file errors on qt-core, like this:

>>> Unpacking source...
tar xzf /var/tmp/portage/x11-libs/qt-core-4.8.0_beta1/distdir/qt-everywhere-opensource-src-4.8.0-beta1.tar.gz qt-everywhere-opensource-src-4.8.0-beta1/configure qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.GPL3 qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.LGPL qt-everywhere-opensource-src-4.8.0-beta1/projects.pro qt-everywhere-opensource-src-4.8.0-beta1/src/qbase.pri qt-everywhere-opensource-src-4.8.0-beta1/src/qt_targets.pri qt-everywhere-opensource-src-4.8.0-beta1/src/qt_install.pri qt-everywhere-opensource-src-4.8.0-beta1/bin qt-everywhere-opensource-src-4.8.0-beta1/config.tests qt-everywhere-opensource-src-4.8.0-beta1/mkspecs qt-everywhere-opensource-src-4.8.0-beta1/qmake qt-everywhere-opensource-src-4.8.0-beta1/src/tools/bootstrap qt-everywhere-opensource-src-4.8.0-beta1/src/tools/moc qt-everywhere-opensource-src-4.8.0-beta1/src/tools/rcc qt-everywhere-opensource-src-4.8.0-beta1/src/tools/uic qt-everywhere-opensource-src-4.8.0-beta1/src/corelib qt-everywhere-opensource-src-4.8.0-beta1/src/xml qt-everywhere-opensource-src-4.8.0-beta1/src/network qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/codecs qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lconvert qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lrelease qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lupdate qt-everywhere-opensource-src-4.8.0-beta1/include/Qt qt-everywhere-opensource-src-4.8.0-beta1/include/QtCore qt-everywhere-opensource-src-4.8.0-beta1/include/QtDeclarative qt-everywhere-opensource-src-4.8.0-beta1/include/QtGui qt-everywhere-opensource-src-4.8.0-beta1/include/QtNetwork qt-everywhere-opensource-src-4.8.0-beta1/include/QtScript qt-everywhere-opensource-src-4.8.0-beta1/include/QtXml qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/plugins.pro qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/qpluginbase.pri qt-everywhere-opensource-src-4.8.0-beta1/src/src.pro qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/des qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/harfbuzz qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md4 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md5 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/sha1 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/easing qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/zlib_dependency.pri qt-everywhere-opensource-src-4.8.0-beta1/src/declarative qt-everywhere-opensource-src-4.8.0-beta1/src/gui qt-everywhere-opensource-src-4.8.0-beta1/src/script qt-everywhere-opensource-src-4.8.0-beta1/tools/shared qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/shared qt-everywhere-opensource-src-4.8.0-beta1/translations
tar: qt-everywhere-opensource-src-4.8.0-beta1/configure: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.GPL3: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.LGPL: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/projects.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qbase.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qt_targets.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qt_install.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/bin: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/config.tests: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/mkspecs: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/qmake: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/bootstrap: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/moc: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/rcc: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/uic: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/corelib: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/xml: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/network: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/codecs: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lconvert: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lrelease: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lupdate: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/Qt: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtCore: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtDeclarative: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtGui: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtNetwork: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtScript: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtXml: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/plugins.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/qpluginbase.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/src.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/des: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/harfbuzz: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md4: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md5: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/sha1: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/easing: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/zlib_dependency.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/declarative: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/gui: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/script: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/shared: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/shared: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/translations: Not found in archive
tar: Exiting with failure status due to previous errors

Any idea?
_________________
Regards,
Stefan.
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Sat Aug 13, 2011 9:50 pm    Post subject: Reply with quote

emerge --sync (sic) will help.

Though I have compilation errors with qt-gui-4.8.0_beta1. Log: http://pastebin.com/jSJidui6
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Aug 14, 2011 3:19 am    Post subject: Reply with quote

Zaister wrote:
Hwoarang wrote:
First post updated

4.8.0_beta1 and 4.8.9999 ebuilds added to the overlay. Also, qt-creator-2.3.0_rc is there as well :) Enjoy


I'm trying out the 4.8.0_beta1 ebuild, but I get missing file errors on qt-core, like this:

>>> Unpacking source...
tar xzf /var/tmp/portage/x11-libs/qt-core-4.8.0_beta1/distdir/qt-everywhere-opensource-src-4.8.0-beta1.tar.gz qt-everywhere-opensource-src-4.8.0-beta1/configure qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.GPL3 qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.LGPL qt-everywhere-opensource-src-4.8.0-beta1/projects.pro qt-everywhere-opensource-src-4.8.0-beta1/src/qbase.pri qt-everywhere-opensource-src-4.8.0-beta1/src/qt_targets.pri qt-everywhere-opensource-src-4.8.0-beta1/src/qt_install.pri qt-everywhere-opensource-src-4.8.0-beta1/bin qt-everywhere-opensource-src-4.8.0-beta1/config.tests qt-everywhere-opensource-src-4.8.0-beta1/mkspecs qt-everywhere-opensource-src-4.8.0-beta1/qmake qt-everywhere-opensource-src-4.8.0-beta1/src/tools/bootstrap qt-everywhere-opensource-src-4.8.0-beta1/src/tools/moc qt-everywhere-opensource-src-4.8.0-beta1/src/tools/rcc qt-everywhere-opensource-src-4.8.0-beta1/src/tools/uic qt-everywhere-opensource-src-4.8.0-beta1/src/corelib qt-everywhere-opensource-src-4.8.0-beta1/src/xml qt-everywhere-opensource-src-4.8.0-beta1/src/network qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/codecs qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lconvert qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lrelease qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lupdate qt-everywhere-opensource-src-4.8.0-beta1/include/Qt qt-everywhere-opensource-src-4.8.0-beta1/include/QtCore qt-everywhere-opensource-src-4.8.0-beta1/include/QtDeclarative qt-everywhere-opensource-src-4.8.0-beta1/include/QtGui qt-everywhere-opensource-src-4.8.0-beta1/include/QtNetwork qt-everywhere-opensource-src-4.8.0-beta1/include/QtScript qt-everywhere-opensource-src-4.8.0-beta1/include/QtXml qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/plugins.pro qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/qpluginbase.pri qt-everywhere-opensource-src-4.8.0-beta1/src/src.pro qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/des qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/harfbuzz qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md4 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md5 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/sha1 qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/easing qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/zlib_dependency.pri qt-everywhere-opensource-src-4.8.0-beta1/src/declarative qt-everywhere-opensource-src-4.8.0-beta1/src/gui qt-everywhere-opensource-src-4.8.0-beta1/src/script qt-everywhere-opensource-src-4.8.0-beta1/tools/shared qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/shared qt-everywhere-opensource-src-4.8.0-beta1/translations
tar: qt-everywhere-opensource-src-4.8.0-beta1/configure: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.GPL3: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/LICENSE.LGPL: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/projects.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qbase.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qt_targets.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/qt_install.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/bin: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/config.tests: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/mkspecs: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/qmake: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/bootstrap: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/moc: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/rcc: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/tools/uic: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/corelib: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/xml: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/network: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/codecs: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lconvert: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lrelease: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/lupdate: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/Qt: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtCore: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtDeclarative: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtGui: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtNetwork: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtScript: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/include/QtXml: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/plugins.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/plugins/qpluginbase.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/src.pro: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/des: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/harfbuzz: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md4: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/md5: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/sha1: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/easing: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/3rdparty/zlib_dependency.pri: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/declarative: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/gui: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/src/script: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/shared: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/tools/linguist/shared: Not found in archive
tar: qt-everywhere-opensource-src-4.8.0-beta1/translations: Not found in archive
tar: Exiting with failure status due to previous errors

Any idea?


Please sync your portage tree. There is a patch already merged in qt4-build.eclass
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Aug 14, 2011 3:20 am    Post subject: Reply with quote

beevvy wrote:
emerge --sync (sic) will help.

Though I have compilation errors with qt-gui-4.8.0_beta1. Log: http://pastebin.com/jSJidui6


Sorry but I need a build.log in English and your emerge --info
Back to top
View user's profile Send private message
Zaister
n00b
n00b


Joined: 08 Apr 2004
Posts: 20
Location: Germany

PostPosted: Sun Aug 14, 2011 7:20 am    Post subject: Reply with quote

Thanks, syncing has helped. No problems compiling.
_________________
Regards,
Stefan.
Back to top
View user's profile Send private message
Niels Ole Salscheider
n00b
n00b


Joined: 14 Aug 2011
Posts: 4

PostPosted: Sun Aug 14, 2011 9:28 am    Post subject: Reply with quote

Will you add an use flag for qpa or hard-enable it?
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Aug 14, 2011 10:49 am    Post subject: Reply with quote

Give me some information about that
Back to top
View user's profile Send private message
Niels Ole Salscheider
n00b
n00b


Joined: 14 Aug 2011
Posts: 4

PostPosted: Sun Aug 14, 2011 10:59 am    Post subject: Reply with quote

QPA is Qt Platform Abstraction, formerly Qt Lighthouse. It is introduced with Qt 4.8 and will be the only model for Qt 5.

QPA is enabled by passing -qpa to configure and allows to build different backends (that can be switched at runtime by setting QT_QPA_PLATFORM envvar), e. g. for X11 and wayland.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Aug 14, 2011 11:17 am    Post subject: Reply with quote

Right. Well I need to discuss this first and see if it needs to be added as a separate module or as part of an existing one (say qt-gui for example)
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Mon Aug 15, 2011 1:04 am    Post subject: Reply with quote

Hwoarang wrote:
beevvy wrote:
emerge --sync (sic) will help.

Though I have compilation errors with qt-gui-4.8.0_beta1. Log: http://pastebin.com/jSJidui6


Sorry but I need a build.log in English and your emerge --info


OK I had that error only because I had x11-libs/cairo[qt4] installed and firstly didn't understand what Portage was trying to tell me and ignored unsatisfied dependencies. :oops:
Back to top
View user's profile Send private message
Etal
Veteran
Veteran


Joined: 15 Jul 2005
Posts: 1640

PostPosted: Mon Aug 15, 2011 4:12 am    Post subject: Reply with quote

Can we also have the ability to build Qt with C++0x?

Code:
If you want to compile Qt using C++0x you can do
CXXFLAGS="-std=c++0x" ./configure

_________________
“And even in authoritarian countries, information networks are helping people discover new facts and making governments more accountable.”– Hillary Clinton, Jan. 21, 2010
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Aug 15, 2011 10:09 am    Post subject: Reply with quote

Thanks. I will work on that
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Mon Aug 15, 2011 12:23 pm    Post subject: Reply with quote

qt-gui (and qt-embedded-4.4.3) ebuilds in the overlay depend on media-libs/jpeg instead of virtual/jpeg like the ebuilds in Portage. Though they compile and seem to work for me with media-libs/libjpeg-turbo as well.
Back to top
View user's profile Send private message
beevvy
n00b
n00b


Joined: 08 Mar 2010
Posts: 16

PostPosted: Thu Aug 18, 2011 1:21 am    Post subject: Reply with quote

Thanks for fixing the above. Though now I see that qt-gui has RDEPEND like that:
Code:
virtual/jpeg
(...)
jpeg? ( virtual/jpeg )

I suppose the unconditional dependency is unneeded/incorrect.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Aug 18, 2011 1:41 pm    Post subject: Reply with quote

Yes you are right. I fixed it
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 13, 14, 15, 16  Next
Page 14 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum